summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-04-13 16:09:41 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-04-13 16:10:04 +0200
commit8b6228b954916888815aba8e22e923628205d733 (patch)
treec845ed74924625b46f94467be175b1c0af5beb7c /net-fs/minio
parentdev-java/tomcat-servlet-api: removed obsolete versions (diff)
downloadgentoo-8b6228b954916888815aba8e22e923628205d733.tar.gz
gentoo-8b6228b954916888815aba8e22e923628205d733.tar.bz2
gentoo-8b6228b954916888815aba8e22e923628205d733.zip
net-fs/minio: Version bump
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'net-fs/minio')
-rw-r--r--net-fs/minio/Manifest1
-rw-r--r--net-fs/minio/minio-0_pre20180412.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/net-fs/minio/Manifest b/net-fs/minio/Manifest
index 805dbe0384d..11ad1f7daab 100644
--- a/net-fs/minio/Manifest
+++ b/net-fs/minio/Manifest
@@ -1,2 +1,3 @@
DIST minio-0_pre20180209.tar.gz 7521636 BLAKE2B af76c858c3afc97067b2f69025c3e3623179e80c93d537e1f90b27b078379c4e3485399f0d30a3b4c196629dd78fed969a3d0da150e79757d58fc6db74b9fce1 SHA512 1c654a40fc809ae010643451c504cc61f5343c9fa210d3e00ceeeeb0917865bed8e07759293853d195f414dbcbb99ed34dfb2f913a6e607659ab6646492598fe
DIST minio-0_pre20180330.tar.gz 7542469 BLAKE2B 3aae4daab1357fa5ae7e42f12768c15de133c7ffa49568657c1f7b5d38e7881e948ccab9e9fdbd22e90269ded903345f3278d12b817be7fa2a92259ee1999ee6 SHA512 34b9e330e60e58099744f2216c677f2bdcff82741a926b8c1fbf93eabf654f806e7b8df89440a477f787726d909e82a1eefd5d9c8f9ed70560ca17832708f9c3
+DIST minio-0_pre20180412.tar.gz 7638430 BLAKE2B 698e0d5f5fd176f6b1dbc520d52474ce3d0e44ce5caf1345f2c6afaad3766e88e77a1c6722afa073b7b5f7176e266d00cb88d1847152f3a20b991f7819918d42 SHA512 4ef4964ec5a4b228116995b660724d404e04a132c10094c0a62974c2febaa0db7e035d93e6db4f1978ef418cc331a80db8cf3d0c6a191c57295016f1016f79e8
diff --git a/net-fs/minio/minio-0_pre20180412.ebuild b/net-fs/minio/minio-0_pre20180412.ebuild
new file mode 100644
index 00000000000..734cafb6aff
--- /dev/null
+++ b/net-fs/minio/minio-0_pre20180412.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/minio/minio"
+VERSION="2018-04-12T23-41-09Z"
+EGIT_COMMIT="f60765ac93013a554af1b55660764b49cc9b3221"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="An Amazon S3 compatible object storage server"
+HOMEPAGE="https://github.com/minio/minio"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${VERSION}\"/"\
+ -e "s/-s //"\
+ -e "/time/d"\
+ -e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
+ src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ MINIO_RELEASE="${VERSION}"
+ go run buildscripts/gen-ldflags.go
+ GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dodoc -r README.md CONTRIBUTING.md MAINTAINERS.md docs
+ dobin minio
+ popd || die
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ keepdir /var/{lib,log}/${PN}
+ fowners ${PN}:${PN} /var/{lib,log}/${PN}
+}